Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class BuildCommand

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.BuildCommand

All Implemented Interfaces:
  Serializable

    class BuildCommand

Property Summary
`Map` | `arguments`
`String` | `name`

Constructor Summary
`BuildCommand(String name, Map arguments = [:])`

Method Summary
`boolean` | `equals(def o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### arguments

    Map arguments

### name

    String name

Constructor Detail

### BuildCommand

    BuildCommand(String name, Map arguments = [:])

Method Detail

### equals

    boolean equals(def o)

### hashCode

    int hashCode()

### toString

    String toString()

Gradle API 1.10